org.apache.cassandra.cql3

## Class UpdateParameters

- java.lang.Object
- - org.apache.cassandra.cql3.UpdateParameters

    public class UpdateParameters
    extends java.lang.Object

A simple container that simplify passing parameters for collections methods.

### Field Summary

Fields
`int` `localDeletionTime`
`CFMetaData` `metadata`
`long` `timestamp`
`java.util.List<java.nio.ByteBuffer>` `variables`

### Constructor Summary

Constructors
Constructor and Description
`UpdateParameters(CFMetaData metadata, java.util.List<java.nio.ByteBuffer> variables, long timestamp, int ttl, java.util.Map<java.nio.ByteBuffer,ColumnGroupMap> prefetchedLists)`

### Method Summary

Methods
`java.util.List<Pair<java.nio.ByteBuffer,Column>>` `getPrefetchedList(java.nio.ByteBuffer rowKey, java.nio.ByteBuffer cql3ColumnName)`
`Column` `makeColumn(java.nio.ByteBuffer name, java.nio.ByteBuffer value)`
`RangeTombstone` `makeRangeTombstone(java.nio.ByteBuffer start, java.nio.ByteBuffer end)`
`Column` `makeTombstone(java.nio.ByteBuffer name)`
`RangeTombstone` `makeTombstoneForOverwrite(java.nio.ByteBuffer start, java.nio.ByteBuffer end)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### metadata

    public final CFMetaData metadata

#### variables

    public final java.util.List<java.nio.ByteBuffer> variables

#### timestamp

    public final long timestamp

#### localDeletionTime

    public final int localDeletionTime

### Constructor Detail

#### UpdateParameters

    public UpdateParameters(CFMetaData metadata,
                    java.util.List<java.nio.ByteBuffer> variables,
                    long timestamp,
                    int ttl,
                    java.util.Map<java.nio.ByteBuffer,ColumnGroupMap> prefetchedLists)

### Method Detail

#### makeColumn

    public Column makeColumn(java.nio.ByteBuffer name,
                    java.nio.ByteBuffer value)
                      throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### makeTombstone

    public Column makeTombstone(java.nio.ByteBuffer name)
                         throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### makeRangeTombstone

    public RangeTombstone makeRangeTombstone(java.nio.ByteBuffer start,
                                    java.nio.ByteBuffer end)
                                      throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### makeTombstoneForOverwrite

    public RangeTombstone makeTombstoneForOverwrite(java.nio.ByteBuffer start,
                                           java.nio.ByteBuffer end)
                                             throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### getPrefetchedList

    public java.util.List<Pair<java.nio.ByteBuffer,Column>> getPrefetchedList(java.nio.ByteBuffer rowKey,
                                                                     java.nio.ByteBuffer cql3ColumnName)